///
/// Code generated by jsonToDartModel https://ashamp.github.io/jsonToDartModel/
///
class UpdateProfileRequestV2 {
/*
{
  "userUuid": "string",
  "email": "string",
  "provinceName": "string",
  "fullName": "string",
  "provinceId": 0,
  "gender": "string",
  "avatarUrl": "string",
  "birthday": "string",
  "phone": "string",
  "districtId": 0,
  "hometown": "string",
  "pinCode": "string",
  "status": "string"
}
*/

  String? userUuid;
  String? email;
  String? provinceName;
  String? fullName;
  int? provinceId;
  String? gender;
  String? avatarUrl;
  String? imageUrl;
  String? birthday;
  String? phone;
  int? districtId;
  String? hometown;
  String? pinCode;
  String? status;

  UpdateProfileRequestV2({
    this.userUuid,
    this.email,
    this.provinceName,
    this.fullName,
    this.provinceId,
    this.gender,
    this.avatarUrl,
    this.imageUrl,
    this.birthday,
    this.phone,
    this.districtId,
    this.hometown,
    this.pinCode,
    this.status,
  });
  UpdateProfileRequestV2.fromJson(Map<String, dynamic> json) {
    userUuid = json['userUuid']?.toString();
    email = json['email']?.toString();
    provinceName = json['provinceName']?.toString();
    fullName = json['fullName']?.toString();
    provinceId = json['provinceId']?.toInt();
    gender = json['gender']?.toString();
    avatarUrl = json['avatarUrl']?.toString();
    imageUrl = json['imageUrl']?.toString();
    birthday = json['birthday']?.toString();
    phone = json['phone']?.toString();
    districtId = json['districtId']?.toInt();
    hometown = json['hometown']?.toString();
    pinCode = json['pinCode']?.toString();
    status = json['status']?.toString();
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['userUuid'] = userUuid;
    data['email'] = email;
    data['provinceName'] = provinceName;
    data['fullName'] = fullName;
    data['provinceId'] = provinceId;
    data['gender'] = gender;
    data['avatarUrl'] = avatarUrl;
    data['imageUrl'] = imageUrl;
    data['birthday'] = birthday;
    data['phone'] = phone;
    data['districtId'] = districtId;
    data['hometown'] = hometown;
    data['pinCode'] = pinCode;
    data['status'] = status;
    return data;
  }
}
